Subject: 1.2-29a2eb3 Installer fails at final stage installing GRUB.
From: Brendan Tildesley <[email-masked]>
To: [email-masked]
Cc: Mathieu Othacehe <[email-masked]>,Ludovic Courtès <[email-masked]>
Date: Fri, 16 Oct 2020 19:03:07 +1100
List-Id: <debbugs-submit.debbugs.gnu.org>

|Going through the GUI installer selecting all the defaults, and install 
with LVM and ecryption, AND for the normal option without encryption I 
get these errors on TWO different laptops, both ~10 years old with BIOS. 
Encrypted: Installing for i386-pc platform. grub-install: warning: this 
GPT partition label contains no BIOS Boot Partition; embedding won't be 
possible. grub-install: error: embedding is not possible, but this is 
required for RAID and LVM install. Unencrypted: ||Installing for i386-pc platform. grub-install: warning: this GPT 
partition label contains no BIOS Boot Partition; embedding won't be 
possible. grub-install: warning: Embedding is not possible. GRUB can 
only be installed in this setup by using blocklists. However, blocklists 
are UNRELIABLE and their use is discouraged.. grub-install: error: will 
not proceed with blocklists.|
||